Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/fht.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/fht.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/fht.cs	(revision 4068)
@@ -19,99 +19,90 @@
 *************************************************************************/
 
-using System;
 
-namespace alglib
-{
-    public class fht
-    {
-        /*************************************************************************
-        1-dimensional Fast Hartley Transform.
+namespace alglib {
+  public class fht {
+    /*************************************************************************
+    1-dimensional Fast Hartley Transform.
 
-        Algorithm has O(N*logN) complexity for any N (composite or prime).
+    Algorithm has O(N*logN) complexity for any N (composite or prime).
 
-        INPUT PARAMETERS
-            A   -   array[0..N-1] - real function to be transformed
-            N   -   problem size
+    INPUT PARAMETERS
+        A   -   array[0..N-1] - real function to be transformed
+        N   -   problem size
             
-        OUTPUT PARAMETERS
-            A   -   FHT of a input array, array[0..N-1],
-                    A_out[k] = sum(A_in[j]*(cos(2*pi*j*k/N)+sin(2*pi*j*k/N)), j=0..N-1)
+    OUTPUT PARAMETERS
+        A   -   FHT of a input array, array[0..N-1],
+                A_out[k] = sum(A_in[j]*(cos(2*pi*j*k/N)+sin(2*pi*j*k/N)), j=0..N-1)
 
 
-          -- ALGLIB --
-             Copyright 04.06.2009 by Bochkanov Sergey
-        *************************************************************************/
-        public static void fhtr1d(ref double[] a,
-            int n)
-        {
-            ftbase.ftplan plan = new ftbase.ftplan();
-            int i = 0;
-            AP.Complex[] fa = new AP.Complex[0];
+      -- ALGLIB --
+         Copyright 04.06.2009 by Bochkanov Sergey
+    *************************************************************************/
+    public static void fhtr1d(ref double[] a,
+        int n) {
+      ftbase.ftplan plan = new ftbase.ftplan();
+      int i = 0;
+      AP.Complex[] fa = new AP.Complex[0];
 
-            System.Diagnostics.Debug.Assert(n>0, "FHTR1D: incorrect N!");
-            
-            //
-            // Special case: N=1, FHT is just identity transform.
-            // After this block we assume that N is strictly greater than 1.
-            //
-            if( n==1 )
-            {
-                return;
-            }
-            
-            //
-            // Reduce FHt to real FFT
-            //
-            fft.fftr1d(ref a, n, ref fa);
-            for(i=0; i<=n-1; i++)
-            {
-                a[i] = fa[i].x-fa[i].y;
-            }
-        }
+      System.Diagnostics.Debug.Assert(n > 0, "FHTR1D: incorrect N!");
+
+      //
+      // Special case: N=1, FHT is just identity transform.
+      // After this block we assume that N is strictly greater than 1.
+      //
+      if (n == 1) {
+        return;
+      }
+
+      //
+      // Reduce FHt to real FFT
+      //
+      fft.fftr1d(ref a, n, ref fa);
+      for (i = 0; i <= n - 1; i++) {
+        a[i] = fa[i].x - fa[i].y;
+      }
+    }
 
 
-        /*************************************************************************
-        1-dimensional inverse FHT.
+    /*************************************************************************
+    1-dimensional inverse FHT.
 
-        Algorithm has O(N*logN) complexity for any N (composite or prime).
+    Algorithm has O(N*logN) complexity for any N (composite or prime).
 
-        INPUT PARAMETERS
-            A   -   array[0..N-1] - complex array to be transformed
-            N   -   problem size
+    INPUT PARAMETERS
+        A   -   array[0..N-1] - complex array to be transformed
+        N   -   problem size
 
-        OUTPUT PARAMETERS
-            A   -   inverse FHT of a input array, array[0..N-1]
+    OUTPUT PARAMETERS
+        A   -   inverse FHT of a input array, array[0..N-1]
 
 
-          -- ALGLIB --
-             Copyright 29.05.2009 by Bochkanov Sergey
-        *************************************************************************/
-        public static void fhtr1dinv(ref double[] a,
-            int n)
-        {
-            int i = 0;
+      -- ALGLIB --
+         Copyright 29.05.2009 by Bochkanov Sergey
+    *************************************************************************/
+    public static void fhtr1dinv(ref double[] a,
+        int n) {
+      int i = 0;
 
-            System.Diagnostics.Debug.Assert(n>0, "FHTR1DInv: incorrect N!");
-            
-            //
-            // Special case: N=1, iFHT is just identity transform.
-            // After this block we assume that N is strictly greater than 1.
-            //
-            if( n==1 )
-            {
-                return;
-            }
-            
-            //
-            // Inverse FHT can be expressed in terms of the FHT as
-            //
-            //     invfht(x) = fht(x)/N
-            //
-            fhtr1d(ref a, n);
-            for(i=0; i<=n-1; i++)
-            {
-                a[i] = a[i]/n;
-            }
-        }
+      System.Diagnostics.Debug.Assert(n > 0, "FHTR1DInv: incorrect N!");
+
+      //
+      // Special case: N=1, iFHT is just identity transform.
+      // After this block we assume that N is strictly greater than 1.
+      //
+      if (n == 1) {
+        return;
+      }
+
+      //
+      // Inverse FHT can be expressed in terms of the FHT as
+      //
+      //     invfht(x) = fht(x)/N
+      //
+      fhtr1d(ref a, n);
+      for (i = 0; i <= n - 1; i++) {
+        a[i] = a[i] / n;
+      }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/hblas.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/hblas.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/hblas.cs	(revision 4068)
@@ -25,194 +25,166 @@
 *************************************************************************/
 
-using System;
 
-namespace alglib
-{
-    public class hblas
-    {
-        public static void hermitianmatrixvectormultiply(ref AP.Complex[,] a,
-            bool isupper,
-            int i1,
-            int i2,
-            ref AP.Complex[] x,
-            AP.Complex alpha,
-            ref AP.Complex[] y)
-        {
-            int i = 0;
-            int ba1 = 0;
-            int ba2 = 0;
-            int by1 = 0;
-            int by2 = 0;
-            int bx1 = 0;
-            int bx2 = 0;
-            int n = 0;
-            AP.Complex v = 0;
-            int i_ = 0;
-            int i1_ = 0;
+namespace alglib {
+  public class hblas {
+    public static void hermitianmatrixvectormultiply(ref AP.Complex[,] a,
+        bool isupper,
+        int i1,
+        int i2,
+        ref AP.Complex[] x,
+        AP.Complex alpha,
+        ref AP.Complex[] y) {
+      int i = 0;
+      int ba1 = 0;
+      int ba2 = 0;
+      int by1 = 0;
+      int by2 = 0;
+      int bx1 = 0;
+      int bx2 = 0;
+      int n = 0;
+      AP.Complex v = 0;
+      int i_ = 0;
+      int i1_ = 0;
 
-            n = i2-i1+1;
-            if( n<=0 )
-            {
-                return;
-            }
-            
-            //
-            // Let A = L + D + U, where
-            //  L is strictly lower triangular (main diagonal is zero)
-            //  D is diagonal
-            //  U is strictly upper triangular (main diagonal is zero)
-            //
-            // A*x = L*x + D*x + U*x
-            //
-            // Calculate D*x first
-            //
-            for(i=i1; i<=i2; i++)
-            {
-                y[i-i1+1] = a[i,i]*x[i-i1+1];
-            }
-            
-            //
-            // Add L*x + U*x
-            //
-            if( isupper )
-            {
-                for(i=i1; i<=i2-1; i++)
-                {
-                    
-                    //
-                    // Add L*x to the result
-                    //
-                    v = x[i-i1+1];
-                    by1 = i-i1+2;
-                    by2 = n;
-                    ba1 = i+1;
-                    ba2 = i2;
-                    i1_ = (ba1) - (by1);
-                    for(i_=by1; i_<=by2;i_++)
-                    {
-                        y[i_] = y[i_] + v*AP.Math.Conj(a[i,i_+i1_]);
-                    }
-                    
-                    //
-                    // Add U*x to the result
-                    //
-                    bx1 = i-i1+2;
-                    bx2 = n;
-                    ba1 = i+1;
-                    ba2 = i2;
-                    i1_ = (ba1)-(bx1);
-                    v = 0.0;
-                    for(i_=bx1; i_<=bx2;i_++)
-                    {
-                        v += x[i_]*a[i,i_+i1_];
-                    }
-                    y[i-i1+1] = y[i-i1+1]+v;
-                }
-            }
-            else
-            {
-                for(i=i1+1; i<=i2; i++)
-                {
-                    
-                    //
-                    // Add L*x to the result
-                    //
-                    bx1 = 1;
-                    bx2 = i-i1;
-                    ba1 = i1;
-                    ba2 = i-1;
-                    i1_ = (ba1)-(bx1);
-                    v = 0.0;
-                    for(i_=bx1; i_<=bx2;i_++)
-                    {
-                        v += x[i_]*a[i,i_+i1_];
-                    }
-                    y[i-i1+1] = y[i-i1+1]+v;
-                    
-                    //
-                    // Add U*x to the result
-                    //
-                    v = x[i-i1+1];
-                    by1 = 1;
-                    by2 = i-i1;
-                    ba1 = i1;
-                    ba2 = i-1;
-                    i1_ = (ba1) - (by1);
-                    for(i_=by1; i_<=by2;i_++)
-                    {
-                        y[i_] = y[i_] + v*AP.Math.Conj(a[i,i_+i1_]);
-                    }
-                }
-            }
-            for(i_=1; i_<=n;i_++)
-            {
-                y[i_] = alpha*y[i_];
-            }
+      n = i2 - i1 + 1;
+      if (n <= 0) {
+        return;
+      }
+
+      //
+      // Let A = L + D + U, where
+      //  L is strictly lower triangular (main diagonal is zero)
+      //  D is diagonal
+      //  U is strictly upper triangular (main diagonal is zero)
+      //
+      // A*x = L*x + D*x + U*x
+      //
+      // Calculate D*x first
+      //
+      for (i = i1; i <= i2; i++) {
+        y[i - i1 + 1] = a[i, i] * x[i - i1 + 1];
+      }
+
+      //
+      // Add L*x + U*x
+      //
+      if (isupper) {
+        for (i = i1; i <= i2 - 1; i++) {
+
+          //
+          // Add L*x to the result
+          //
+          v = x[i - i1 + 1];
+          by1 = i - i1 + 2;
+          by2 = n;
+          ba1 = i + 1;
+          ba2 = i2;
+          i1_ = (ba1) - (by1);
+          for (i_ = by1; i_ <= by2; i_++) {
+            y[i_] = y[i_] + v * AP.Math.Conj(a[i, i_ + i1_]);
+          }
+
+          //
+          // Add U*x to the result
+          //
+          bx1 = i - i1 + 2;
+          bx2 = n;
+          ba1 = i + 1;
+          ba2 = i2;
+          i1_ = (ba1) - (bx1);
+          v = 0.0;
+          for (i_ = bx1; i_ <= bx2; i_++) {
+            v += x[i_] * a[i, i_ + i1_];
+          }
+          y[i - i1 + 1] = y[i - i1 + 1] + v;
         }
+      } else {
+        for (i = i1 + 1; i <= i2; i++) {
+
+          //
+          // Add L*x to the result
+          //
+          bx1 = 1;
+          bx2 = i - i1;
+          ba1 = i1;
+          ba2 = i - 1;
+          i1_ = (ba1) - (bx1);
+          v = 0.0;
+          for (i_ = bx1; i_ <= bx2; i_++) {
+            v += x[i_] * a[i, i_ + i1_];
+          }
+          y[i - i1 + 1] = y[i - i1 + 1] + v;
+
+          //
+          // Add U*x to the result
+          //
+          v = x[i - i1 + 1];
+          by1 = 1;
+          by2 = i - i1;
+          ba1 = i1;
+          ba2 = i - 1;
+          i1_ = (ba1) - (by1);
+          for (i_ = by1; i_ <= by2; i_++) {
+            y[i_] = y[i_] + v * AP.Math.Conj(a[i, i_ + i1_]);
+          }
+        }
+      }
+      for (i_ = 1; i_ <= n; i_++) {
+        y[i_] = alpha * y[i_];
+      }
+    }
 
 
-        public static void hermitianrank2update(ref AP.Complex[,] a,
-            bool isupper,
-            int i1,
-            int i2,
-            ref AP.Complex[] x,
-            ref AP.Complex[] y,
-            ref AP.Complex[] t,
-            AP.Complex alpha)
-        {
-            int i = 0;
-            int tp1 = 0;
-            int tp2 = 0;
-            AP.Complex v = 0;
-            int i_ = 0;
-            int i1_ = 0;
+    public static void hermitianrank2update(ref AP.Complex[,] a,
+        bool isupper,
+        int i1,
+        int i2,
+        ref AP.Complex[] x,
+        ref AP.Complex[] y,
+        ref AP.Complex[] t,
+        AP.Complex alpha) {
+      int i = 0;
+      int tp1 = 0;
+      int tp2 = 0;
+      AP.Complex v = 0;
+      int i_ = 0;
+      int i1_ = 0;
 
-            if( isupper )
-            {
-                for(i=i1; i<=i2; i++)
-                {
-                    tp1 = i+1-i1;
-                    tp2 = i2-i1+1;
-                    v = alpha*x[i+1-i1];
-                    for(i_=tp1; i_<=tp2;i_++)
-                    {
-                        t[i_] = v*AP.Math.Conj(y[i_]);
-                    }
-                    v = AP.Math.Conj(alpha)*y[i+1-i1];
-                    for(i_=tp1; i_<=tp2;i_++)
-                    {
-                        t[i_] = t[i_] + v*AP.Math.Conj(x[i_]);
-                    }
-                    i1_ = (tp1) - (i);
-                    for(i_=i; i_<=i2;i_++)
-                    {
-                        a[i,i_] = a[i,i_] + t[i_+i1_];
-                    }
-                }
-            }
-            else
-            {
-                for(i=i1; i<=i2; i++)
-                {
-                    tp1 = 1;
-                    tp2 = i+1-i1;
-                    v = alpha*x[i+1-i1];
-                    for(i_=tp1; i_<=tp2;i_++)
-                    {
-                        t[i_] = v*AP.Math.Conj(y[i_]);
-                    }
-                    v = AP.Math.Conj(alpha)*y[i+1-i1];
-                    for(i_=tp1; i_<=tp2;i_++)
-                    {
-                        t[i_] = t[i_] + v*AP.Math.Conj(x[i_]);
-                    }
-                    i1_ = (tp1) - (i1);
-                    for(i_=i1; i_<=i;i_++)
-                    {
-                        a[i,i_] = a[i,i_] + t[i_+i1_];
-                    }
-                }
-            }
+      if (isupper) {
+        for (i = i1; i <= i2; i++) {
+          tp1 = i + 1 - i1;
+          tp2 = i2 - i1 + 1;
+          v = alpha * x[i + 1 - i1];
+          for (i_ = tp1; i_ <= tp2; i_++) {
+            t[i_] = v * AP.Math.Conj(y[i_]);
+          }
+          v = AP.Math.Conj(alpha) * y[i + 1 - i1];
+          for (i_ = tp1; i_ <= tp2; i_++) {
+            t[i_] = t[i_] + v * AP.Math.Conj(x[i_]);
+          }
+          i1_ = (tp1) - (i);
+          for (i_ = i; i_ <= i2; i_++) {
+            a[i, i_] = a[i, i_] + t[i_ + i1_];
+          }
         }
+      } else {
+        for (i = i1; i <= i2; i++) {
+          tp1 = 1;
+          tp2 = i + 1 - i1;
+          v = alpha * x[i + 1 - i1];
+          for (i_ = tp1; i_ <= tp2; i_++) {
+            t[i_] = v * AP.Math.Conj(y[i_]);
+          }
+          v = AP.Math.Conj(alpha) * y[i + 1 - i1];
+          for (i_ = tp1; i_ <= tp2; i_++) {
+            t[i_] = t[i_] + v * AP.Math.Conj(x[i_]);
+          }
+          i1_ = (tp1) - (i1);
+          for (i_ = i1; i_ <= i; i_++) {
+            a[i, i_] = a[i, i_] + t[i_ + i1_];
+          }
+        }
+      }
     }
+  }
 }
